VERSION 5.00
Begin VB.Form frmValue 
   Caption         =   "Einzelwerte"
   ClientHeight    =   1770
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3525
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1770
   ScaleWidth      =   3525
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   2160
      TabIndex        =   2
      Top             =   1320
      Width           =   1215
   End
   Begin VB.TextBox txtValue 
      Alignment       =   1  'Rechts
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   840
      Width           =   3255
   End
   Begin VB.Label lblValue 
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3255
   End
End
Attribute VB_Name = "frmValue"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' #######################
' Constructor: B.Ottmann
' #######################

' Formular nicht mit Schliessen beendet und gueltiger Wert.
Public ValidValue As Boolean

' Die einzulesenden Werte unterliegen unterschiedlichen Pruefungen
Public UseAs As String
Public MaxNumber As Long

' Wert soll uebernommen werden
Private Sub cmdOK_Click()
   ValidValue = ValidateValue
   
   If ValidValue Then
        Me.Visible = False
   End If
End Sub

' Pruefung auf Gueltigkeit der Werte
Private Function ValidateValue() As Boolean
    ' Mehrfachverwendung des Dialogfeldes
    Select Case UseAs
    Case "Message"
        If Len(txtValue.Text) > 250 Then
            txtValue.Text = Left(txtValue.Text, 250)
            If MsgBox("Maximal " & 250 & " Zeichen." & vbCrLf & "Soll " & txtValue.Text & " bernommen werden.", vbQuestion + vbOKCancel, "Message Senden") = vbCancel Then
                ValidateValue = False
                Exit Function
            Else
                ValidateValue = True
                Exit Function
            End If
        ElseIf Len(txtValue.Text) = 0 Then
            DFCommon.Message = "?"
        Else
            DFCommon.Message = txtValue.Text & Chr(0)
        End If
        ValidateValue = True
        
        
    Case "Number"
        If IsNumeric(txtValue.Text) Then
            If CLng(txtValue.Text) <= MaxNumber Then
                ' Uebernahme in Allgemeines Modul
                DFCommon.TmpNumber = CLng(txtValue.Text)
                ValidateValue = True
            Else
                MsgBox "Zahl zu gross"
                txtValue.Text = "0"
                ValidateValue = False
            End If
            
        ElseIf txtValue.Text = "" Then
            DFCommon.TmpNumber = "0"
        Else
            MsgBox "War keine Zahl."
            txtValue.Text = "0"
            ValidateValue = False
        End If
        
    End Select
End Function
